<?php declare(strict_types=1);
namespace DiviManagerPro\Action;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Sodium;
use DiviManager\Service\Site as SiteService;

class MigrateFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $action = new Migrate;
        $action->setSodium($registry->getService(Sodium::class));
        $action->setSiteService($registry->getService(SiteService::class));

        return $action;
    }
}
