<?php declare(strict_types=1);
namespace DiviManagerPro\Serverpilot\Platform;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;
USe DiviManager\Service\Site;
use DiviManagerPro\Service\Platform;

class ServerpilotFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $sp = new Serverpilot();

        $sp->setOption($registry->getService(Option::class));
        $sp->setSiteService($registry->getService(Site::class));
        $sp->setPlatformService($registry->getService(Platform::class));

        return $sp;
    }
}
