// crud for servers
//
// for reference
// @see https://developer.wordpress.org/plugins/javascript/ajax/
//
jQuery(document).ready(function($) {
    // load the server list
    $.get({
		url: my_ajax_obj.ajax_url + '/servers',
	    headers: {
		    'X-WP-Nonce': my_ajax_obj.nonce
			//platform: this.platform
        }
	}).done( function(data) {
		data.forEach((row) => $('table#servers').append(`<tr id="server${row.id}"><td><a href='' class='remove' onClick='removeServer(${row.id});'>[X]</a></td><td>${row.name}</td><td>${row.ip}</td><td>${row.ipv6}</td><td>${row.serverID}</td></tr>`));
    });

    // add a server
    $('form#server').on('submit', function(event) {
        //var this2 = this;
        //var data = {
            //'_ajax_nonce': my_ajax_obj.nonce,
        //};
        var data = $('form#server').serialize();
        data._ajax_nonce = my_ajax_obj.nonce;
        $.post({
			url: my_ajax_obj.ajax_url + '/servers',
			headers: {
				'X-WP-Nonce': my_ajax_obj.nonce
				//platform: this.platform
			},
		   	data
		}).done(
            function(data) {
                $('table#servers').append(`<tr id="server${data.id}"><td><a href='' class='remove' onClick='removeServer(${data.id});'>[X]</a></td><td>${data.name}</td><td>${data.ip}</td><td>${data.ipv6}</td><td>${data.serverID}</td></tr>`);
            }
        );

        event.preventDefault();
        return false;
    });

    // delete a server
    //$('a.remove').on('click', function(event) {
    removeServer = function (id) {
        console.log('remove click');
        //var data = {
            //'_ajax_nonce': my_ajax_obj.nonce,
        //};
        var data = {
            'id': id
        }
        //data._ajax_nonce = my_ajax_obj.nonce;
        $.ajax({
            method: 'DELETE',
            url: my_ajax_obj.ajax_url + '/servers/' + id,
			headers: {
				'X-WP-Nonce': my_ajax_obj.nonce
				//platform: this.platform
			},
            data
        }).done( function(data) {
                console.log('remove');
                console.log(data);
				if (true === data) {
					$('tr#server' + id).remove();
				}
        });

        event.preventDefault();
        return false;
    };
} );
