<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;
use DiviManagerPro\Reporter\Reporter;

class AdminFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $admin = new Admin();
        $admin->setRegistry($registry);
        $admin->setOption($registry->getService(Option::class));
        $admin->setReporter($registry->getService(Reporter::class));

        return $admin;
    }
}
