<?php
namespace DiviManagerPro\Reporter\Model;

/**
 * Store templates for sites
 */
class SiteTemplate
{
    /**
     * @var int our id from the database
     */
    protected $id;

    /**
     * @var int id of site.
     */
    protected $site_id;

    /**
     * @var string template content
     */
    protected $template;

    public function __construct()
    {
    }

    public function toArray ()
    {
        return [
            'id' => $this->getId(),
            'site_id' => $this->getSiteID(),
            'template' => $this->getTemplate(),
        ];
    }

    public function fromArray (array $data)
    {
        $this->setId($data['id']);
        $this->setSiteID($data['user_id']);
        $this->setTemplate($data['template']);

        return $this;
    }

    public function getId()
    {
        return $this->id;
    }
    public function setId(int $newId)
    {
        $this->id = $newId;
        return $this;
    }

    public function getSiteID()
    {
        return $this->site_id;
    }
    public function setSiteID($newSiteID)
    {
        $this->site_id = $newSiteID;
        return $this;
    }

    public function getTemplate()
    {
        return $this->template;
    }
    public function setTemplate($newTemplate)
    {
        $this->template = $newTemplate;
        return $this;
    }
}
