<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Shortcode;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

use DiviManagerPro\DiviManagerPro;

/**
 * PHP related data
 */
class PhpCore extends AbstractShortcode
{
    public function __construct() {
        $this->addCode('version.current', 'Show current php version', ['report', 'phpCore', 'current']);
        $this->addCode('version.latest', 'Show latest php version', ['report', 'phpCore', 'latest']);
        $this->addCode('version.previous', 'Show previous php version', ['report', 'phpCore', 'previous']);
        $this->addCode('version.check', 'Show php check', ['report', 'phpCore', 'check']);
    }
}
