<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Shortcode;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

use DiviManager\ServiceFactoryInterface;
use DiviManagerPro\DiviManagerPro;
use DiviManager\Registry;

class WpCoreFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $wpCore = new WpCore();

        $wpCore->setDiviManagerPro($registry->getService(DiviManagerPro::class));

        return $wpCore;
    }
}
