<?php declare(strict_types=1);
namespace DiviManagerPro\Service;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\DbDelta;
use DiviManager\Helper\Option;

class ServerFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $server = new Server;

        $server->setWpdb($registry->getService('wpdb'));
        $server->setDbDelta($registry->getService(DbDelta::class));

        return $server;
    }
}
