<?php declare(strict_types=1);
namespace DiviManagerPro\Woocommerce\Command;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;
use DiviManagerPro\Woocommerce\Command\Main as MainCommand;
use DiviManagerPro\Woocommerce\Woocommerce as DMPWC;
use DiviManager\Service\Site as SiteService;

class MainFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $main = new MainCommand();

        return $main;
    }
}
